// -*-c++-*-
//===========================================================
//=     University of Illinois at Urbana/Champaign          =
//=     Department of Computer Science                      =
//=     Dr. Dan Roth - Cognitive Computation Group          =
//=                                                         =
//=  Project: Snow                                          =
//=                                                         =
//=   Module: Feature.h                                     =
//=  Version: 2.1                                           =
//=  Authors: Jeff Rosen and Andrew Carlson                 =
//=     Date: xx/xx/99                                      = 
//=                                                         =
//= Comments:                                               =
//===========================================================

#ifndef __MINIMALFEATURE_H__
#define __MINIMALFEATURE_H__

#include "SnowTypes.h"

enum DiscardState { active, pending, discard};

struct MinimalFeature
{
    double  weight;
    Counter activeCount;
    DiscardState discarded;
    int updates;

    MinimalFeature();
    MinimalFeature( double weight, Counter activeCount = 0L );
};

inline MinimalFeature::MinimalFeature() :
        weight(0.0),
        activeCount(0L),
        discarded(active),
        updates(0)
{
}

inline MinimalFeature::MinimalFeature( double wgt, Counter actCnt ) :
        weight(wgt),
        activeCount(actCnt),
        discarded(active),
        updates(0)
{
}

#endif
